package com.itsol.quantrivanphong.report.issue.common;

import java.io.Serializable;
import java.util.List;

public interface GennericeEntityManagerDao<ID extends Serializable,T> {
    List<T> finAllEntity();
    void saveEntity(T entity);
    T updateEntity(T entity);
    Integer deleteEntity(ID[] ids);
    Integer deleteEntityByID(Integer id);
    T findByEmtityId(ID id);
    List<T> finByProperty(String property, Object value, String sortExperssion, String sortDirection);
    Object[] getEntityPage(String property, Object value, String sortExperssion, String sortDirection,Integer offset, Integer limit);
//    Integer getCount();
}
